#
#       Makefile for sample applications
#

DEBUG= E        # set to D for disable, E for enable

#
#
# auto configure section
#
#

#if DEBUG=E
IDEBUG=-v
#endif

CLIB=..\..\lib\ertostcp.lib ..\..\lib\rtos.lib

CFLAGS= -ml $(IDEBUG) -I..\..\inc
CC= bcc $(CFLAGS)

#
#
#  list of executables
#
#

.c.exe:
        $(CC) $*.c $(CLIB)

bgidemo.exe: bgidemo.c
        $(CC) bgidemo.c $(CLIB) graphics.lib

all: bgidemo.exe
        echo done $(TEXTMODEL) make with debugging $(TEXTDEBUG)


